import request from '@/utils/request';

// 查询谈话材料
export function listInterviewMaterials(query) {
  return request({
    url: '/teacher/stuTalkMaterials/getByFdyNameAndYearAndMonth',
    method: 'get',
    params: query,
	headers: {
		Authorization: "Bearer " + uni.getStorageSync("App-Token"),
	}
  })
}
// 查询谈话材料详情
export function getInterviewMaterials(id) {
  return request({
    url: '/teacher/stuTalkMaterials/' + id,
    method: 'get'
  })
}
// 新增谈话材料
export function addInterviewMaterials(data) {
	return request({
		url: '/teacher/stuTalkMaterials/add',
		method: 'post',
		data: data
	})
}


// 修改谈话材料
export function updateInterviewMaterials(data) {
  return request({
    url: '/teacher/stuTalkMaterials/update',
    method: 'post',
    data: data
  })
}


// 删除谈话材料
export function delInterviewMaterials(id) {
  return request({
    url: '/teacher/stuTalkMaterials/'+id,
    method: 'post',
  })
}

